import { Router } from 'express';
import { updateVariant,deleteVariant, createProductVariant } from '../../controllers/admin/variant.controller';


const router = Router();



// --- Variants ---
router.post('/products/:productId/variants', createProductVariant);
router.put('/:id', updateVariant);
router.delete('/:id', deleteVariant);

export default router;